
/*      Units.c     */

/*      The "cvt" macros avoid the function call overhead for the most
        common case in which the from and to units are the same.
        Use them when bulk processing a number of items when you expect
        the storage and display units are identical.  */
        
#define cvtWeight(w, from, to) (((from) == (to)) ? (w) : convertWeight((w), (from), (to))) 
extern weight convertWeight(weight w, weightunit from, weightunit to);
#define cvtTrend(t, from, to) (((from) == (to)) ? (t) : convertTrend((t), (from), (to))) 
extern trend convertTrend(trend t, weightunit from, weightunit to);
#define cvtLong(l, from, to) (((from) == (to)) ? (l) : convertLong((l), (from), (to)))
extern signed long convertLong(signed long l, weightunit from, weightunit to);
